Bug 1196849 - Please add maven metadata; also fix packaging GL bug
Summary: Please add maven metadata; also fix packaging GL bug
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rxtx
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Levente Farkas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 23:10 UTC by Alec Leamas
Modified: 2015-09-18 03:51 UTC (History)
1 user (show)

Fixed In Version: 2.2-0.14.20100211.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 15:40:17 UTC
Type: Bug


Attachments (Terms of Use)
First patch: just add metadata (1.94 KB, patch)
2015-02-26 23:10 UTC, Alec Leamas
no flags Details | Diff
Second patch: Use %mvn_artifact, fix packaging bug (2.11 KB, patch)
2015-02-26 23:12 UTC, Alec Leamas
no flags Details | Diff
Revised patch (2.23 KB, patch)
2015-02-27 17:18 UTC, Alec Leamas
no flags Details | Diff

Description Alec Leamas 2015-02-26 23:10:23 UTC
Created attachment 995850 [details]
First patch: just add metadata

Here are two problems:

- The package lacks maven metadata, which makes is surprisingly hard to use for packages using maven and related tools

- The package violates the Java Packaging Guidelines by storing a JNI jar file in /usr/share/java; it should live in /usr/lib/java a. k. a. %{_jnidir}

Comment 1 Alec Leamas 2015-02-26 23:12:30 UTC
Created attachment 995851 [details]
Second patch:  Use %mvn_artifact, fix packaging bug

Comment 2 Fedora Update System 2015-02-27 11:24:22 UTC
rxtx-2.2-0.10.20100211.fc22.2 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rxtx-2.2-0.10.20100211.fc22.2

Comment 3 Fedora Update System 2015-02-27 11:25:01 UTC
rxtx-2.2-0.10.20100211.fc21.2 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rxtx-2.2-0.10.20100211.fc21.2

Comment 4 Alec Leamas 2015-02-27 17:18:41 UTC
Created attachment 996129 [details]
Revised patch

I presented this as two patches in order to make it easier to read. Since you seem to accept the patches I resubmit a new one, which basically squashes the two patches into one.  Also fixes two issues:

- The release number was plain wrong
- The exported metadata file was unreadable

Comment 5 Fedora Update System 2015-02-27 19:44:22 UTC
Package rxtx-2.2-0.10.20100211.fc22.2:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rxtx-2.2-0.10.20100211.fc22.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2795/rxtx-2.2-0.10.20100211.fc22.2
then log in and leave karma (feedback).

Comment 6 Alec Leamas 2015-02-27 22:24:09 UTC
hey, I appreciate that you accept my patch,  but we need to communicate a little... This time something went wrong: the new release should be 11 according to the patch but it's still 10 in the new package. At a glance, it's actually using the old patches instead of the new (?)

Comment 7 Fedora Update System 2015-02-28 21:58:04 UTC
rxtx-2.2-0.11.20100211.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rxtx-2.2-0.11.20100211.fc22

Comment 8 Fedora Update System 2015-02-28 22:10:47 UTC
rxtx-2.2-0.11.20100211.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rxtx-2.2-0.11.20100211.fc21

Comment 9 Fedora Update System 2015-05-04 14:14:13 UTC
rxtx-2.2-0.14.20100211.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rxtx-2.2-0.14.20100211.fc22

Comment 10 Fedora Update System 2015-05-04 14:14:21 UTC
rxtx-2.2-0.14.20100211.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rxtx-2.2-0.14.20100211.fc21

Comment 11 Fedora Update System 2015-09-18 01:32:08 UTC
rxtx-2.2-0.14.20100211.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-09-18 03:50:58 UTC
rxtx-2.2-0.14.20100211.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.